summaryrefslogtreecommitdiff
path: root/dev-python/rencode/rencode-1.0.8.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-30 07:01:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-30 07:01:36 +0000
commit216687eabe1b7cfafd62452784bb1ba4abe7a3d2 (patch)
tree97c9d0b8dce982ab7883962098c54f77a19c6afd /dev-python/rencode/rencode-1.0.8.ebuild
parent5e57d2b387148ab942c22849d50e0e660168bf58 (diff)
downloadbaldeagleos-repo-216687eabe1b7cfafd62452784bb1ba4abe7a3d2.tar.gz
baldeagleos-repo-216687eabe1b7cfafd62452784bb1ba4abe7a3d2.tar.xz
baldeagleos-repo-216687eabe1b7cfafd62452784bb1ba4abe7a3d2.zip
Adding metadata
Diffstat (limited to 'dev-python/rencode/rencode-1.0.8.ebuild')
-rw-r--r--dev-python/rencode/rencode-1.0.8.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/rencode/rencode-1.0.8.ebuild b/dev-python/rencode/rencode-1.0.8.ebuild
new file mode 100644
index 000000000000..364e6c299822
--- /dev/null
+++ b/dev-python/rencode/rencode-1.0.8.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Serialization similar to bencode from the BitTorrent project"
+HOMEPAGE="
+ https://github.com/aresch/rencode/
+ https://pypi.org/project/rencode/
+"
+SRC_URI="
+ https://github.com/aresch/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf rencode || die
+ epytest
+}